Bug 182277

Summary: existing <welcome-file> in web.xml will be updated or not when JSF framework is added?
Product: javaee Reporter: Masaki Katakai <masaki>
Component: JSFAssignee: Alexey Butenko <alexeybutenko>
Status: RESOLVED FIXED QA Contact: issues <issues.netbeans.org>
Priority: P3    
Version: 6.x   
Target Milestone: 6.x   
Hardware: PC   
OS: All   
Whiteboard:
Issue Type: DEFECT Exception Report:

Description Masaki Katakai 2010-03-18 05:45:41 UTC
I got this feedback from japanese user in mailing list.

  http://netbeans.org/kb/docs/web/jsf20-intro.html

In step 8,  web.xml will be modified from

    <welcome-file-list>
        <welcome-file>index.xhtml</welcome-file>
    </welcome-file-list>

to

    <welcome-file-list>
        <welcome-file>faces/index.xhtml</welcome-file>
    </welcome-file-list>

when JSF framework is added.

"faces/" is added before "index.xhtml".

However, it doesn't on NetBeans 6.8.

It seems that when "web.xml" does not exist, "web.xml" will be newly created at adding
JSF framework. What is the correct behavior when "web.xml" already exists? Will it
modify existing <welcome-file> entry? If not, the tutorial will need to be modified.
Comment 1 Alexey Butenko 2010-04-21 09:07:46 UTC
I think existing file should be updated according to the faces mapping.
http://hg.netbeans.org/web-main/rev/3eba4ae67766
Comment 2 Quality Engineering 2010-04-22 04:25:06 UTC
Integrated into 'main-golden', will be available in build *201004220200* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/3eba4ae67766
User: Alexey Butenko <alexeybutenko@netbeans.org>
Log: #182277:  existing <welcome-file> in web.xml will be updated or not when JSF framework is added?
Comment 3 Troy Giunipero 2010-04-27 13:58:39 UTC
I've added a note to the tutorial, which will remain until the 6.9 release:

<p class="alert"><strong>Important:</strong> If your <code>&lt;welcome-file&gt;</code> entry does not contain '<code>faces/</code>', you should add it manually. This ensures that your project's welcome page <code>index.xhtml</code>) passes through the Faces servlet before being displayed in a browser. This is necessary in order to render the Facelets tag library components properly. See <a href="http://netbeans.org/bugzilla/show_bug.cgi?id=182277">Issue 182277</a> for more information.</p>
By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo